Named entities
Updates a NamedEntity object.
Update the fields associated with a NamedEntity
PUT
/
api
/
v1
/
named_entities
/
{resource_type}
/
{id.project}
/
{id.domain}
/
{id.name}
Updates a NamedEntity object.
curl --request PUT \
--url https://mycluster.domino.tech/flows/api/v1/named_entities/{resource_type}/{id.project}/{id.domain}/{id.name} \
--header 'Content-Type: application/json' \
--data '
{
"id": {
"org": "<string>"
},
"metadata": {
"description": "<string>",
"state": "NAMED_ENTITY_ACTIVE"
}
}
'import requests
url = "https://mycluster.domino.tech/flows/api/v1/named_entities/{resource_type}/{id.project}/{id.domain}/{id.name}"
payload = {
"id": { "org": "<string>" },
"metadata": {
"description": "<string>",
"state": "NAMED_ENTITY_ACTIVE"
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: {org: '<string>'},
metadata: {description: '<string>', state: 'NAMED_ENTITY_ACTIVE'}
})
};
fetch('https://mycluster.domino.tech/flows/api/v1/named_entities/{resource_type}/{id.project}/{id.domain}/{id.name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Resource type of the metadata to update +required
Available options:
UNSPECIFIED, TASK, WORKFLOW, LAUNCH_PLAN, DATASET Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'
Body
application/json
Response
A successful response.
Purposefully empty, may be populated in the future.
Last modified on August 19, 2026
Related topics
Returns a NamedEntity object.Returns a list of NamedEntity objects.Fetch a list of NamedEntityIdentifier of workflow objects.Fetch a list of NamedEntityIdentifier of task objects.Was this page helpful?
⌘I
Updates a NamedEntity object.
